
QGIS Application - Bug report #14912

'Check Geometries' plugin fails to fix duplicated nodes

2016-05-27 01:33 PM - R. R.

Status: Closed

Priority: Normal

Assignee: Sandro Mani

Category: C++ plugins/Geometry Checker

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22865

Description

Please try to fix the attached polygon. The geometry check ignores the duplicated nodes and doesn't return any results.

See also #14890

History

#1 - 2016-05-27 01:52 PM - R. R.

- File 14912.mp4 added

#2 - 2016-05-28 02:13 AM - Sandro Mani

- Status changed from Open to Closed

The plugin currently only searches for consecutive duplicate nodes, which is not the case in the attached geometry. I believe such spikes as in your

geometry are better detected with the minimal angle test. Checking all nodes against all other nodes in the geometry can quickly become prohibitive in

terms of performance, plus such non-consecutive duplicate nodes are not per-se invalid, and may also be desiderable in some circumstances.

Feel free to reopen if you disagree or if I missed something.

#3 - 2016-05-29 12:01 AM - R. R.

Sandro, thanks for your reply. The minimum angle check works just fine.

Files

14912.zip 6.58 KB 2016-05-27 R. R.

14912.mp4 2.58 MB 2016-05-27 R. R.
